POST Agents/ErpSync/TryConnectActor
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/ErpSync/TryConnectActor
Create a link between Erp and Crm and set default values
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The ErpSync agent is not available in Online by default. Access must be requested specifically when app is registered. Intended for ERP integration apps.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/ErpSync/TryConnectActor?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
ErpConnectionId, CrmRecordId, CrmActorType, ErpKey, ErpActorType, FieldValues
| Property Name | Type | Description |
|---|---|---|
| ErpConnectionId | Integer | |
| CrmRecordId | Integer | |
| CrmActorType | String | |
| ErpKey | String | |
| ErpActorType | String | |
| FieldValues | Array |
Response:bool
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: bool
Sample request
POST /api/v1/Agents/ErpSync/TryConnectActor
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"ErpConnectionId": 23,
"CrmRecordId": 64,
"CrmActorType": "Contact",
"ErpKey": "similique",
"ErpActorType": "Customer",
"FieldValues": [
{
"DisplayName": "Maggio-Johns",
"CrmFieldKey": "dolorem",
"Value": "aut",
"DisplayValue": "qui",
"SyncToCrm": false,
"SyncToErp": false
},
{
"DisplayName": "Maggio-Johns",
"CrmFieldKey": "dolorem",
"Value": "aut",
"DisplayValue": "qui",
"SyncToCrm": false,
"SyncToErp": false
}
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
false